Skip to main content
GET
/
webhook-subscriptions
List webhook subscriptions
curl --request GET \
  --url https://api.pictify.io/webhook-subscriptions \
  --header 'Authorization: Bearer <token>'
{
  "subscriptions": [
    {
      "uid": "<string>",
      "event": "render.completed",
      "targetUrl": "<string>",
      "platform": "zapier",
      "status": "active",
      "filters": {
        "templateId": "<string>",
        "bindingId": "<string>"
      },
      "deliveryCount": 123,
      "failureCount": 123,
      "lastDeliveryAt": "2023-11-07T05:31:56Z",
      "createdAt": "2023-11-07T05:31:56Z"
    }
  ],
  "pagination": {
    "page": 123,
    "limit": 123,
    "total": 123,
    "totalPages": 123,
    "hasNext": true,
    "hasPrev": true
  }
}

Authorizations

Authorization
string
header
required

API key obtained from the Pictify dashboard

Query Parameters

event
string
status
enum<string>
Available options:
active,
paused,
failed
page
integer
default:1
limit
integer
default:20

Response

200 - application/json

List of subscriptions

subscriptions
object[]
pagination
object